Debian Bug report logs - #381485
lintian: Also check for not using invoke-rc.d in other scripts.

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Fri, 4 Aug 2006 19:03:10 UTC

Severity: wishlist

Tags: patch

Found in version lintian/1.23.22

Fixed in version lintian/2.1.4

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: lintian: Also check for not using invoke-rc.d in other scripts.
Date: Fri, 4 Aug 2006 21:00:17 +0200
Package: lintian
Version: 1.23.22

Hi,

Could lintian also warn about using /etc/init.d/package and
start-stop-daemon in other scripts like things in /etc/cron.*,
/etc/network/if-up.d/

Not sure if maintainers ship scripts in other dirs, but it would
be nice if all such script could be checked, and not just the
pre/post inst/rm.


Kurt




Severity set to `wishlist' from `normal' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 438885 added: 381485 Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 18:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #14 received at 381485@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 381485@bugs.debian.org
Cc: Lars Wirzenius <liw@iki.fi>
Subject: Let's fix this
Date: Sun, 2 Mar 2008 19:33:42 +0100
Hey There, 

As an effort to try to finish the invoke-rc.d transition for lenny, I
feel I must prod you guys here. Any improvements so far?
Lars, could you maybe look into providing a patch?

Thanks!

-- 
  ·''`.    Moi je voudrais bien, un beau matin, qu'il y ait
 : :' :                           une fleur dans mon jardin
 `. `'                                         -- Manu Chao 
   `-  Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #19 received at 381485@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Amaya <amaya@debian.org>
Cc: 381485@bugs.debian.org
Subject: Re: Let's fix this
Date: Sun, 02 Mar 2008 20:38:01 +0200
On su, 2008-03-02 at 19:33 +0100, Amaya wrote:
> Hey There, 
> 
> As an effort to try to finish the invoke-rc.d transition for lenny, I
> feel I must prod you guys here. Any improvements so far?
> Lars, could you maybe look into providing a patch?

Unfortunately, I'm able to provide patch perl code at the time being.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #24 received at 381485@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Lars Wirzenius <liw@iki.fi>
Cc: 381485@bugs.debian.org
Subject: Re: Let's fix this
Date: Sun, 2 Mar 2008 19:59:20 +0100
Lars Wirzenius wrote:
> On su, 2008-03-02 at 19:33 +0100, Amaya wrote:
> > Hey There, 
> > 
> > As an effort to try to finish the invoke-rc.d transition for lenny, I
> > feel I must prod you guys here. Any improvements so far?
> > Lars, could you maybe look into providing a patch?
> 
> Unfortunately, I'm able to provide patch perl code at the time being.

This does not parse. If you are unable to provide a patch atm, is it
because of perl?

Thanks!

-- 
  ·''`.    Moi je voudrais bien, un beau matin, qu'il y ait
 : :' :                           une fleur dans mon jardin
 `. `'                                         -- Manu Chao 
   `-  Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #29 received at 381485@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Amaya <amaya@debian.org>
Cc: 381485@bugs.debian.org
Subject: Re: Let's fix this
Date: Sun, 02 Mar 2008 21:27:40 +0200
On su, 2008-03-02 at 19:59 +0100, Amaya wrote:
> > Unfortunately, I'm able to provide patch perl code at the time being.
> 
> This does not parse. If you are unable to provide a patch atm, is it
> because of perl?

I don't know Perl and so I'm unable to write a patch that will add a
lintian warning to check for this problem. I am, possibly, in the
process of learning Perl, but it's going to take a long time.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #34 received at 381485@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: debian-devel@lists.debian.org
Cc: 381485@bugs.debian.org
Subject: lintian check for direct init script invocation (was: Bug#438885: Not blocking anymore)
Date: Sun, 02 Mar 2008 13:41:55 -0800
Amaya <amaya@debian.org> writes:

> Important:
> lintian: Also check for not using invoke-rc.d in other scripts.
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=381485

I don't have a tremendous amount of free time to work on Debian right now
and what time I do have for lintian I'm putting into merging patches.  I'd
welcome a patch implementing this feature (ideally with some test cases as
well).

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #39 received at 381485@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 381485@bugs.debian.org, control@bugs.debian.org
Subject: any news on the lintian check?
Date: Mon, 25 Aug 2008 14:14:06 +0200
[Message part 1 (text/plain, inline)]
severity 438885 important
thanks

Hi,

downgrading, as all blocking bugs for 438885 have been fixed.

Any news on implementing the lintian check? ;)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Message #42 received at 381485@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: Holger Levsen <holger@layer-acht.org>
Cc: 381485@bugs.debian.org, control@bugs.debian.org
Subject: Re: any news on the lintian check?
Date: Thu, 11 Sep 2008 21:38:25 -0500
[Message part 1 (text/plain, inline)]
tag 381485 patch
thanks

On Monday 25 August 2008, Holger Levsen wrote:
> severity 438885 important
> thanks
>
> Hi,

Hi Holger,

>
> downgrading, as all blocking bugs for 438885 have been fixed.
>
> Any news on implementing the lintian check? ;)

As promised, attached is a patch in a mbox implementing that check.
I've only made it check executable scripts in /etc, as not to slow down 
lintian even more for just one check.

When all scripts are checked for bashisms the checking scope may be extended.

Of course the final decision is up to the lintian maintainers :)

>
>
> regards,
> 	Holger

Cheers,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html
[lintian_script-calls-init-script-directly.mbox (application/mbox, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 12 Sep 2008 02:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #49 received at 381485@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Raphael Geissert <atomo64@gmail.com>
Cc: 381485@bugs.debian.org
Subject: Re: any news on the lintian check?
Date: Fri, 12 Sep 2008 20:21:52 +0200
[Message part 1 (text/plain, inline)]
Hi Raphael,

On Friday 12 September 2008 04:38, Raphael Geissert wrote:
> As promised, attached is a patch in a mbox implementing that check.
> I've only made it check executable scripts in /etc, as not to slow down
> lintian even more for just one check.

Thats great, thank you!

> Of course the final decision is up to the lintian maintainers :)

Sure :)

Hint: this bug is a blocker for 438885 which is important ;-)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #54 received at 381485@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 381485@bugs.debian.org
Subject: Re: Bug#381485: any news on the lintian check?
Date: Fri, 12 Sep 2008 21:05:12 +0200
On Fri, Sep 12, 2008 at 08:21:52PM +0200, Holger Levsen wrote:
> On Friday 12 September 2008 04:38, Raphael Geissert wrote:
> > As promised, attached is a patch in a mbox implementing that check.
> > I've only made it check executable scripts in /etc, as not to slow down
> > lintian even more for just one check.
> 
> Thats great, thank you!
> 
> > Of course the final decision is up to the lintian maintainers :)
> 
> Sure :)
> 
> Hint: this bug is a blocker for 438885 which is important ;-)

Which doesn't change anything about the fact that it is whishlist for
lintian. And to say that it is a "blocker" is really only a
BTS-technical term, not something that is really true in any
meaningful sense outside of the BTS scope (I hope you know what I mean).

That said, I applaud your effort to clean up the "general" package :)

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #59 received at 381485@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Raphael Geissert <atomo64@gmail.com>, 381485@bugs.debian.org
Subject: Re: Bug#381485: any news on the lintian check?
Date: Fri, 12 Sep 2008 21:23:52 +0200
On Thu, Sep 11, 2008 at 09:38:25PM -0500, Raphael Geissert wrote:
> On Monday 25 August 2008, Holger Levsen wrote:
> > downgrading, as all blocking bugs for 438885 have been fixed.
> >
> > Any news on implementing the lintian check? ;)
> 
> As promised, attached is a patch in a mbox implementing that check.
> I've only made it check executable scripts in /etc, as not to slow down 
> lintian even more for just one check.
> 
> When all scripts are checked for bashisms the checking scope may be extended.
> 
> Of course the final decision is up to the lintian maintainers :)

Hmm, we can't really use 9.3.3.2 as a reference here since it arguably
only talks about maintainer scripts, doesn't it?

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #64 received at 381485@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Undisclosed.Recipients: ;
Cc: 381485@bugs.debian.org
Subject: Re: Bug#381485: any news on the lintian check?
Date: Fri, 12 Sep 2008 23:09:58 +0200
[Message part 1 (text/plain, inline)]
Hi Frank,

On Friday 12 September 2008 21:05, Frank Lichtenheld wrote:
> Which doesn't change anything about the fact that it is whishlist for
> lintian. 

Sure :) (It's definitly wishlist for lintian.)

And I also (literally) wish lintian would support preventing issues which 
where the reason for a mass bug filing in May 2006 and were made serious in 
August 2007.

> And to say that it is a "blocker" is really only a 
> BTS-technical term, not something that is really true in any
> meaningful sense outside of the BTS scope (I hope you know what I mean).

Well, yes and no. It (not being fixed) prevents ("blocks") that those issues 
come back again and again.

> That said, I applaud your effort to clean up the "general" package :)

Thanks. 

Thanks also for your work on lintian, I love lintian, it rocks! :)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#381485; Package lintian. (Tue, 30 Dec 2008 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 30 Dec 2008 00:27:04 GMT) Full text and rfc822 format available.

Message #69 received at 381485@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: control@bugs.debian.org
Cc: 381485@bugs.debian.org
Subject: setting package to lintian, tagging 381485
Date: Mon, 29 Dec 2008 16:26:42 -0800
# Automatically generated email from bts, devscripts version 2.10.35
# via tagpending 
#
# lintian (2.1.4) UNRELEASED; urgency=low
#
#  * checks/scripts{,.desc}:
#    + [RA] Overhaul checking of maintainer script and config interpreters:
#      - postrm scripts must use an essential interpreter.
#      - Only preinst scripts require Pre-Depends; Depends is sufficient for
#        postinst and prerm scripts.  (Closes: #508307)
#      - Separate unknown-control-interpreter from unusual-interpreter
#        since it's much more likely to be an error.
#      - Separate control-interpreter-in-usr-local from
#        interpreter-in-usr-local since the severity is higher.
#      - unusual-control-interpreter is certain, not possible.
#      - Suppress some cases of multiple tags about the same basic problem.
#    + [RA] Check for scripts in /etc that call init scripts directly
#      without using invoke-rc.d.  Based on a patch by Raphael Geissert.
#      (Closes: #381485)
#

package lintian
tags 381485 + pending





Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 00:27:05 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Sun, 04 Jan 2009 01:09:02 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 04 Jan 2009 01:09:02 GMT) Full text and rfc822 format available.

Message #76 received at 381485-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 381485-close@bugs.debian.org
Subject: Bug#381485: fixed in lintian 2.1.4
Date: Sun, 04 Jan 2009 01:02:07 +0000
Source: lintian
Source-Version: 2.1.4

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.1.4.dsc
  to pool/main/l/lintian/lintian_2.1.4.dsc
lintian_2.1.4.tar.gz
  to pool/main/l/lintian/lintian_2.1.4.tar.gz
lintian_2.1.4_all.deb
  to pool/main/l/lintian/lintian_2.1.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 381485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Jan 2009 16:40:30 -0800
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.1.4
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 381485 480939 488832 496516 497347 497348 498875 498876 508307 509147 509286 510190 510398
Changes: 
 lintian (2.1.4) unstable; urgency=low
 .
   * Summary of tag changes:
     + Added
       - binary-control-field-duplicates-source
       - brace-expansion-in-debhelper-config-file
       - control-interpreter-in-usr-local (split from
          interpreter-in-usr-local)
       - control-interpreter-without-depends
       - copyright-refers-to-bad-php-license
       - copyright-refers-to-problematic-php-license
       - copyright-with-old-dh-make-debian-copyright
       - dh-clean-k-is-deprecated
       - desktop-mimetype-without-update-call
       - forbidden-postrm-interpreter
       - games-package-should-be-section-games
       - preinst-interpreter-without-predepends
       - script-calls-init-script-directly
       - unknown-control-interpreter (split from unusual-interpreter)
       - version-refers-to-distribution
     + Removed
       - desktop-file-but-no-dh_desktop-call
       - interpreter-without-predep
 .
   * checks/changelog-file{,.desc}:
     + [RA] Warn of Debian version numbers containing "testing", "stable",
       or "unstable", or with release code names for uploads not targeted
       at that release, except in NMUs.  Based on a patch by Raphael
       Geissert.  (Closes: #498876)
   * checks/control-file{,.desc}:
     + [RA] Warn (severity: wishlist) of binary control stanzas duplicating
       fields of the source control stanza.  (Closes: #497348)
   * checks/copyright-file{,.desc}:
     + [RA] Warn (severity: wishlist) about the old dh_make packaging
       copyright, which used (C) without the word or symbol.  Based on a
       patch by Raphael Geissert.  (Closes: #497347)
     + [RA] Clean up checks of a symlinked /usr/share/doc directory and
       avoid making package info global.
     + [RA] Warn about older PHP licenses.  Based on a patch by Raphael
       Geissert.  (Closes: #498875)
   * checks/cruft:
     + [RA] Keep the hash of files for which warnings were already issued
       local to each package, reducing memory consumption and false
       negatives for archive-wide runs.
   * checks/debhelper{,.desc}:
     + [RA] Check for use of shell brace expansion in debhelper config
       files that list filenames, which is not supported.  Based on a patch
       from Raphael Geissert.  (Closes: #480939)
     + [RA] If dh is used, require debhelper tokens in maintainer scripts.
     + [ADB] Warn about packages declaring a debhelper compatibility level
       of 7 or above and using dh_clean -k, which has been deprecated in
       favour of dh_prep.
     + [RA] Add dh_auto_* and dh_prep to the debhelper scripts that require
       a particular version of debhelper.
     + [RA] De-duplicate the list of scripts with specific version
       requirements before issuing tags.
     + [RA] Upgrade package-lacks-versioned-build-depends-on-debhelper to
       certain (although still minor), making it a warning.  debhelper(7)
       explicitly recommends a versioned build dependency on debhelper.
       Rewrite the tag description accordingly.
   * checks/fields:
     + [RA] dh-make-php provides a CDBS rule fragment and hence should go
       into Build-Depends, not Build-Depends-Indep.  Thanks, Mathieu
       Parent.  (Closes: #509286)
   * checks/files{,.desc}:
     + [RA] Packages whose executables are all in /usr/games should
       probably be in section games.  (Closes: #509147)
   * checks/menu-format{,.desc}:
     + [RA] If a *.desktop file contains a MimeType key, check that the
       postinst calls update-desktop-database.  (Closes: #488832)
     + [RA] Stop keeping a separate hash of all files in the package and
       use Lintian::Collect information.  The hash was being reused across
       packages, possibly leading to excessive memory consumption and false
       negatives for archive-wide runs.
   * checks/menus:
     + [RA] Keep the hash of files and symlinks local to each package,
       reducing memory consumption and false negatives for archive-wide
       runs.
   * checks/patch-systems.desc:
     + [RA] Improve the patch-system-but-direct-changes-in-diff long
       description.  (Closes: #496516)
   * checks/rules{,.desc}:
     + [RA] Remove desktop-file-but-no-dh_desktop-call.  The only action of
       dh_desktop is now checked by desktop-mimetype-without-update-call;
       dh_desktop is unnecessary with other *.desktop files.
   * checks/scripts{,.desc}:
     + [RA] Overhaul checking of maintainer script and config interpreters:
       - postrm scripts must use an essential interpreter.
       - Only preinst scripts require Pre-Depends; Depends is sufficient for
         postinst and prerm scripts.  (Closes: #508307)
       - Separate unknown-control-interpreter from unusual-interpreter
         since it's much more likely to be an error.
       - Separate control-interpreter-in-usr-local from
         interpreter-in-usr-local since the severity is higher.
       - unusual-control-interpreter is certain, not possible.
       - Suppress some cases of multiple tags about the same basic problem.
     + [RA] Check for scripts in /etc that call init scripts directly
       without using invoke-rc.d.  Based on a patch by Raphael Geissert.
       (Closes: #381485)
     + [RA] Allow dpkg-dev to satisfy a make dependency.  (Closes: #510190)
     + [ADB] More intelligently remove comments from shell scripts, to avoid
       removing some constructs that aren't comments, such as those in
       [ $# -gt 2 ] and "foo # bar".
     + [ADB] Flag the source bashism when its argument is quoted or a bare
       filename.
   * checks/watch-file:
     + [RA] Recognize additional SourceForge URLs and recommend the
       redirector.  Thanks, Riccardo Stagni.  (Closes: #510398)
 .
   * collection/copyright-file:
     + [RA] Copy copyright files that are relative links, provided that the
       link is safe, and otherwise treat symlinked copyright files as if
       they were empty.  Fixes a Lintian crash on packages where the
       copyright file is a relative symlink.
 .
   * debian/copyright:
     + [RA] Add an explicit key to initials used in changelog entries.
   * debian/rules:
     + [RA] New check-tag target which runs all test cases in the new test
       suite that check for or against a particular tag.
 .
   * data/debhelper/filename-config-files:
     + [RA] New file listing debhelper config files containing filenames.
 .
   * frontend/lintian:
     + [RA] When processing the entire archive, do so in sorted order.
 .
   * private/update-never-seen:
     + [RA] Merge data from both test suites and use the tag files for the
       old test suite rather than relying on runtests -v.
 .
   * reporting/html_reports:
     + [RA] We only care about the first line of the archive timestamp.
 .
   * t/runtests:
     + [RA] Check that a test produces all tags listed in Test-For and
       doesn't produce any tages listed in Test-Against.
     + [RA] Support finding and running all tests for or against a
       particular tag.
     + [RA] Correctly set up non-native packages for dpkg-source.
   * t/tests/README:
     + [RA] Add documentation of the new test suite.
Checksums-Sha1: 
 3db94386f888bbdcd20a83b480b3b300eae05926 1163 lintian_2.1.4.dsc
 be4d6cd82445f19f14d6aae9b1ad270b7987dbad 568542 lintian_2.1.4.tar.gz
 5da9d84aa8b9837120f96ff4941a216d5eb5a5bf 399044 lintian_2.1.4_all.deb
Checksums-Sha256: 
 5e73d96a7f386080f41cd366b8e4b7baaf5489636e5803228c801801175b5488 1163 lintian_2.1.4.dsc
 d2055c69b7639f33696af1caf0ddf8feeaf3b07dc876fa5081f43dd44c0dd9d2 568542 lintian_2.1.4.tar.gz
 ac256fb25efb495b4b3d0e851449b855d32f8e62cf47f10fd8a4fa209d0dd480 399044 lintian_2.1.4_all.deb
Files: 
 00f2accf567744721d411acb75a08fcd 1163 devel optional lintian_2.1.4.dsc
 f4f023b9f34e9e652bd486deb895bea0 568542 devel optional lintian_2.1.4.tar.gz
 be892a1671426e4342486af94392ab2a 399044 devel optional lintian_2.1.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklgBvwACgkQ+YXjQAr8dHafMwCgloI1unmC3MjEccMdekyqv3de
Hx0AoMSe23dZofUKIQOv1eYdmqZT640A
=TZaj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Feb 2009 07:36:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:25:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.